function Import(path) {
	var pieces = path.split(".");
	var current = window.runtime.flash;
	while(pieces.length) {
		var step = pieces.shift();
		if (!(current = current[step])) {
			throw new Error("import not found: " + path);
		}
	}
	if (typeof current != "function") throw new Error("import not found: " + path);
	window[step] = current;
}

function trace(/*...*/){
    runtime.trace([].join.call(arguments, ' '));
}

Error.prototype.toString = function() {
	trace(this.name + ": " + this.message);
	for (var i = 0; i < this.stackTrace.length; i++) {
		trace(this.stackTrace[i].sourceURL + ", line " + this.stackTrace[i].line);
	}	
}

function bind(context, method) {
	return function() {
		method.apply(context, arguments);
	}
}



/* from NativeMenu */
Import("display.NativeMenu");

NativeMenu.prototype.separator = function() {
	return this.addItem(new NativeMenuItem("", true));
}

NativeMenu.prototype.separatorAt = function(index) {
	return this.addItemAt(new NativeMenuItem("", true), index);
}

NativeMenu.prototype.enabled = function(label, onSelect) {
	var it = new NativeMenuItem(label);
	if (onSelect) it.addEventListener(Event.SELECT, onSelect);
	return this.addItem(it);
}

NativeMenu.prototype.disabled = function (label, onSelect) {
	var it = this.enabled(label, onSelect);
	it.enabled = false;
	return it;
}

NativeMenu.prototype.insertAt = function(index, label, onSelect) {
	var it = new NativeMenuItem(label);
	if (onSelect) it.addEventListener(Event.SELECT, onSelect);
	return this.addItemAt(it, index);
}

NativeMenu.prototype.insertBefore = function(item, label, onSelect) {
	return this.insertAt(this.getItemIndex(item), label, onSelect);
}

NativeMenu.prototype.itemAfter = function(item) {
	return this.getItemAt(this.getItemIndex(item) + 1);
}
